<?php

namespace Ulmus\Repository;

use Ulmus\{Repository, Query, Ulmus, Common};

class MssqlRepository extends Repository {

    protected function finalizeQuery() : void
    {
        if ( null === $order = $this->queryBuilder->getFragment(Query\OrderBy::class) ) {
            $this->orderBy("(SELECT 0)");
        }
    }

    protected function serverRequestCountRepository() : Repository
    {
        return new static($this->entityClass, $this->alias, $this->adapter);
    }
}
