<?php

namespace Ulmus\Repository;

use Ulmus\{ConnectionAdapter, QueryBuilder, Repository, Query, Ulmus};

class SqliteRepository extends Repository {

    public function pragma(/*object|Stringable*/ $pragma, $argument = null, bool $callable = false) : self
    {
        $this->queryBuilder->pragma($pragma, $argument, $callable);

        return $this;
    }

    protected function finalizeQuery() : void
    {

    }

    protected function serverRequestCountRepository() : Repository
    {
        return new static($this->entityClass, $this->alias, $this->adapter);
    }
}
