<?php

namespace Ulmus\QueryBuilder;

use Ulmus\QueryBuilder;

use Ulmus\Query;

class SqliteQueryBuilder extends QueryBuilder implements Query\QueryBuilderInterface
{
    public function pragma(/*object|Stringable*/ $name, $value = null, bool $callable = false) : self
    {
        if ( null !== ( $pragma = $this->getFragment(Query\Sqlite\Pragma::class) ) ) {
            $pragma->set($name, $value, $callable);
        }
        else {
            $pragma = new Query\Sqlite\Pragma();
            $pragma->set($name, $value, $callable);
            $this->push($pragma);
        }

        return $this;
    }
}
